pages:
  image: node:14-alpine
  script:
    - npm install -g ionic
    - npm install
    - npm run buildProd
    - rm -rf public
    - mkdir public
    - cp -r www/* public
  artifacts:
    paths:
      - public
  only:
    variables:
      - $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH

variables:
  GIT_SUBMODULE_STRATEGY: recursive

